## cba 0.1-3

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics - Miscellaneous functions.
Version: 0.1-3
Date: 2005-09-07
Author: Christian Buchta
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances.
License: GNU GENERAL PUBLIC LICENSE Version 2 (execpt where otherwise noted)
Packaged: Wed Sep  7 12:09:33 2005; hahsler

## cba 0.1-5

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.1-5
Date: 2005-10-26
Author: Christian Buchta
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.1.0), cluster, grid
Suggests: gclus
License: GNU GENERAL PUBLIC LICENSE Version 2
Packaged: Thu Oct 27 09:23:45 2005; hahsler

## cba 0.1-6

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.1-6
Date: 2005-12-12
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.1.0), cluster, grid
Suggests: gclus
License: GNU GENERAL PUBLIC LICENSE Version 2
Packaged: Mon Dec 12 14:57:02 2005; hahsler

## cba 0.1-7

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.1-7
Date: 2006-27-01
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.1.0), cluster, grid
Suggests: gclus
License: GNU GENERAL PUBLIC LICENSE Version 2
Packaged: Wed Feb  8 11:13:18 2006; hornik

## cba 0.1-8

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.1-8
Date: 2006-03-01
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.1.0), cluster, grid
Suggests: gclus
License: GNU GENERAL PUBLIC LICENSE Version 2
Packaged: Wed Mar  1 18:42:20 2006; buchta

## cba 0.2-0

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-0
Date: 2006-08-31
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.1.0), cluster, grid
Suggests: gclus, colorspace
License: GNU GENERAL PUBLIC LICENSE Version 2
Packaged: Thu Aug 31 18:50:30 2006; hornik

## cba 0.2-1

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-1
Date: 2006-09-04
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.1.0), cluster, grid
Suggests: gclus, colorspace
License: GNU GENERAL PUBLIC LICENSE Version 2
Packaged: Sat Sep  2 10:32:34 2006; hornik

## cba 0.2-2

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-2
Date: 2007-07-10
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Imports: Matrix
Depends: R (>= 2.4.1), cluster, grid
Suggests: gclus, colorspace
License: GNU GENERAL PUBLIC LICENSE Version 2
Packaged: Tue Jul 10 09:37:33 2007; hornik

## cba 0.2-4

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-4
Date: 2007-10-24
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Imports: Matrix
Depends: R (>= 2.4.1), cluster, grid
Suggests: gclus, colorspace
License: GPL-2
Packaged: Tue Oct 23 20:23:00 2007; hornik

## cba 0.2-5

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-5
Date: 2008-08-25
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Imports: Matrix
Depends: R (>= 2.4.1), cluster, grid
Suggests: gclus, colorspace
License: GPL-2
Packaged: Mon Aug 25 11:30:36 2008; hornik

## cba 0.2-6

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-6
Date: 2009-01-07
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu-wien.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Imports: Matrix
Depends: R (>= 2.4.1), grid, proxy
Suggests: gclus, colorspace
License: GPL-2
Packaged: Thu Jan  8 12:20:25 2009; hornik

## cba 0.2-7

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-7
Date: 2011-09-09
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and
        Rock, utility functions for efficient computation of cross
        distances and data manipulation.
Imports: Matrix
Depends: R (>= 2.10), grid, proxy
Suggests: gclus, colorspace
License: GPL-2
Packaged: 2011-09-11 17:05:58 UTC; hornik
Repository: CRAN
Date/Publication: 2011-09-11 17:12:28

## cba 0.2-8

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-8
Date: 2011-09-15
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and
        Rock, utility functions for efficient computation of cross
        distances and data manipulation.
Imports: Matrix
Depends: R (>= 2.10), grid, proxy
Suggests: gclus, colorspace
License: GPL-2
Packaged: 2011-09-14 19:09:35 UTC; hornik
Repository: CRAN
Date/Publication: 2011-09-14 20:11:21

## cba 0.2-9

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-9
Date: 2012-01-18
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and
        Rock, utility functions for efficient computation of cross
        distances and data manipulation.
Imports: Matrix
Depends: R (>= 2.10), grid, proxy
Suggests: gclus, colorspace
License: GPL-2
Packaged: 2012-01-15 12:36:57 UTC; hornik
Repository: CRAN
Date/Publication: 2012-01-15 12:41:42

## cba 0.2-10

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-10
Date: 2012-08-31
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and
        Rock, utility functions for efficient computation of cross
        distances and data manipulation.
Imports: Matrix
Depends: R (>= 2.10), grid, proxy
Suggests: gclus, colorspace
License: GPL-2
Packaged: 2012-09-03 04:53:14 UTC; hornik
Repository: CRAN
Date/Publication: 2012-09-03 05:34:31

## cba 0.2-11

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-11
Date: 2012-11-30
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and
        Rock, utility functions for efficient computation of cross
        distances and data manipulation.
Imports: Matrix
Depends: R (>= 2.10), grid, proxy
Suggests: gclus, colorspace
License: GPL-2
Packaged: 2013-01-05 18:55:35 UTC; hornik
Repository: CRAN
Date/Publication: 2013-01-06 11:56:05

## cba 0.2-12

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-12
Date: 2013-04-30
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and
        Rock, utility functions for efficient computation of cross
        distances and data manipulation.
Imports: Matrix
Depends: R (>= 2.10), grid, proxy
Suggests: gclus, colorspace
License: GPL-2
Packaged: 2013-04-27 13:00:36 UTC; hornik
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-04-27 15:06:38

## cba 0.2-13

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-13
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.4.1), grid, proxy
Suggests: gclus, colorspace
License: GPL-2
Packaged: 2014-01-12 13:17:58 UTC; buchta
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-01-12 18:58:32

## cba 0.2-14

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-14
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.4.1), grid, proxy
Suggests: gclus, colorspace
License: GPL-2
Packaged: 2014-01-14 23:58:54 UTC; buchta
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-01-15 12:35:53

## cba 0.2-15

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-15
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.4.1), grid, proxy
Imports: stats, graphics, grDevices, methods
Suggests: gclus, colorspace
Encoding: latin1
License: GPL-2
NeedsCompilation: yes
Packaged: 2015-07-23 09:20:24 UTC; buchta
Repository: CRAN
Date/Publication: 2015-07-23 12:08:39

## cba 0.2-16

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-16
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.4.1), grid, proxy
Imports: stats, graphics, grDevices, methods
Suggests: gclus, colorspace
Encoding: latin1
License: GPL-2
NeedsCompilation: yes
Packaged: 2016-04-16 10:19:42 UTC; buchta
Repository: CRAN
Date/Publication: 2016-05-05 12:01:27

## cba 0.2-17

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-17
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.10), grid, proxy
Imports: stats, graphics, grDevices, methods
Suggests: gclus, colorspace
Encoding: latin1
License: GPL-2
NeedsCompilation: yes
Packaged: 2016-06-04 17:57:48 UTC; hornik
Repository: CRAN
Date/Publication: 2016-06-04 19:59:29

## cba 0.2-18

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-18
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.4.1), grid, proxy
Imports: stats, graphics, grDevices, methods
Suggests: gclus, colorspace
Encoding: latin1
License: GPL-2
NeedsCompilation: yes
Packaged: 2017-01-18 14:30:23 UTC; buchta
Repository: CRAN
Date/Publication: 2017-01-18 19:04:38

## cba 0.2-19

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-19
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.4.1), grid, proxy
Imports: stats, graphics, grDevices, methods
Suggests: gclus, colorspace
Encoding: latin1
License: GPL-2
NeedsCompilation: yes
Packaged: 2017-04-09 12:28:39 UTC; buchta
Repository: CRAN
Date/Publication: 2017-05-11 18:15:07 UTC

## cba 0.2-20

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-20
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.10), grid, proxy
Imports: stats, graphics, grDevices, methods
Suggests: gclus, colorspace
Encoding: latin1
License: GPL-2
NeedsCompilation: yes
Packaged: 2019-03-04 16:36:37 UTC; hornik
Repository: CRAN
Date/Publication: 2019-03-04 16:40:28 UTC

## cba 0.2-22

=== DESCRIPTION ===
Package: cba
Type: Package
Title: Clustering for Business Analytics
Version: 0.2-22
Author: Christian Buchta and Michael Hahsler
Maintainer: Christian Buchta <christian.buchta@wu.ac.at>
Description: Implements clustering techniques such as Proximus and Rock, utility functions for efficient computation of cross distances and data manipulation. 
Depends: R (>= 2.10), grid, proxy
Imports: stats, graphics, grDevices, methods
Suggests: gclus, colorspace
Encoding: UTF-8
License: GPL-2
NeedsCompilation: yes
Packaged: 2022-11-07 13:30:54 UTC; hornik
Repository: CRAN
Date/Publication: 2022-11-07 13:35:52 UTC

## cba 0.3.6

=== Makefile ===
#top level makefile for cba, cba-gtk

CBADIR=$(CURDIR)/src
GTKDIR=$(CURDIR)/src/gui

all:
	( cd $(CBADIR); $(MAKE) )
	( cd $(GTKDIR); $(MAKE) )
	
clean:
	( cd $(CBADIR); $(MAKE) clean )
	( cd $(GTKDIR); $(MAKE) clean )
	
install:
	( cd $(CBADIR); $(MAKE) $(DESTDIR) install )
	( cd $(GTKDIR); $(MAKE) $(DESTDIR) install )

=== src/Makefile ===
# makefile for cba
CXX	:= c++
CXXFLAGS := -O

OBJECTS	:= cbeam_class.o cba_main.o

cba: $(OBJECTS)
	$(CXX) $(OBJECTS) -o cba

cbeam_class.o: cbeam_class.cpp
	$(CXX) $(CXXFLAGS) -c cbeam_class.cpp -o cbeam_class.o

cba_main.o: cba_main.cpp
	$(CXX) $(CXXFLAGS) -c cba_main.cpp -o cba_main.o

clean:
	rm $(OBJECTS)

install: 
	install cba $(DESTDIR)/usr/bin

=== src/gui/Makefile ===
# makefile for cba-gtk
CXX	:= gcc
CXXFLAGS := `wx-config --cflags` -Wall -g -Os 
LDFLAGS := `wx-config --libs` -s -lstdc++

SRCDIR=$(CURDIR)

SOURCE = \
$(SRCDIR)/cbeam_class.cpp \
$(SRCDIR)/cbaGUI_drawings.cpp \
$(SRCDIR)/cbaGUI_dialogs.cpp \
$(SRCDIR)/cbaGUI.cpp 

OBJECTS = $(SOURCE:.cpp=.o)

cba-gtk: $(OBJECTS)
	$(CXX) $(OBJECTS) $(LDFLAGS) -o cba-gtk

%.o: %.cxx 
	$(CXX) $(CXXFLAGS) -c $(SOURCE) -o $(OBJECTS)

clean:
	rm $(OBJECTS)

install: 
	install cba-gtk $(DESTDIR)/usr/bin

=== debian/changelog ===
cba (0.3.6-6build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:06 +1100

cba (0.3.6-6build2) noble; urgency=high

  * No change rebuild against libwxgtk3.2-1t64, libwxbase3.2-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:32:28 +0100

cba (0.3.6-6build1) lunar; urgency=medium

  * No-change rebuild against wxwidgets 3.2.1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2023 13:18:37 +0000

cba (0.3.6-6) unstable; urgency=medium

  * Team upload.
  * Transition to wxWidgets 3.2 (Closes: #1019820)

 -- Scott Talbert <swt@techie.net>  Tue, 18 Oct 2022 20:23:04 -0400

cba (0.3.6-5) unstable; urgency=medium

  * Team upload.
    Closes: #941108
  * Add watch file
    Closes: #668946
  * d/rules: use dh
    Closes: #902182
  * rebuild against wxWidgets GTK 3 package
    Closes: #933434
  * hardening=+all
  * debhelper-compat 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/changelog
  * Trim trailing whitespace.
  * DEP5
  * Use proper patches
    Closes: #643073
  * Document changes in orig.tar.gz compared to download tarball
    in README.source

 -- Andreas Tille <tille@debian.org>  Fri, 04 Oct 2019 20:32:49 +0200

cba (0.3.6-4) unstable; urgency=low

  * added -lm for binutils-gold in src/gui/Makefile (Closes: #601806,#615700)

 -- Ferdinand Griffon <idf.dresden@gmx.net>  Tue, 15 Mar 2011 11:36:26 +0000

cba (0.3.6-3) unstable; urgency=low

  * rules changed to include database files for all architectures
    (Closes: #593756)

 -- Ferdinand Griffon <idf.dresden@gmx.net>  Thu, 26 Aug 2010 10:28:02 +0000

cba (0.3.6-2) unstable; urgency=low

  * README.source removed (contained no information)

  [ Sylvestre Ledru ]
  * Standards-Version updated to version 3.9.1

 -- Ferdinand Griffon <idf.dresden@gmx.net>  Fri, 30 Jul 2010 11:48:42 +0200

cba (0.3.6-1) unstable; urgency=low

  * Initial release (Closes: #561090)

 -- Ferdinand Griffon <idf.dresden@gmx.net>  Fri, 23 Jul 2010 11:21:59 +0100

=== debian/control ===
Source: cba
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ferdinand Griffon <idf.dresden@gmx.net>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libwxgtk3.2-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/cba
Vcs-Git: https://salsa.debian.org/science-team/cba.git
Homepage: http://cbeam.sourceforge.net

Package: cba
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Continuous Beam Analysis
 A small engineering tool that calculates member forces and support reactions
 of a continuous beam.
 A material and section database is included to set elasticity and moment of
 inertia. Boundary conditions can be set differently at each support.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

### If you **really** can not use uscan (even not with mode=git) use a debian/get-orig-script
#get-orig-source:
#	. debian/get-orig-source
